shishi_tkts_get_for_server(3)

NAME
shishi_tkts_get_for_server - API function

SYNOPSIS
#include <shishi.h>

Shishi_tkt * shishi_tkts_get_for_server(Shishi_tkts * tkts, const char * server);

ARGUMENTS

Shishi_tkts * tkts
    ticket set handle as allocated by shishi_tkts().

const char * server
    server name to get ticket for.

DESCRIPTION
Short-hand function for getting a ticket to the given server and for the default principal client. See shishi_tkts_get().

RETURN VALUE
Returns a ticket if found, or NULL.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.